#ifndef _USB492_HPP_
#define _USB492_HPP_

#include "USB_Device.hpp"

class USB492
{
public:
    // Addresses
    static const uint8_t CRT_Data           = 0x2f;
    static const uint8_t CRT_Control        = 0x5f;
    
    static const uint8_t Storage_Data       = 0x7a;
    static const uint8_t Storage_Control    = 0x7b;
    
    USB492(USB_Device *dev);
    ~USB492();

    void write_reg(uint8_t addr, uint8_t data);
    uint8_t read_reg(uint8_t addr);
    
    void crt_page(int page);
    void crt_write(uint8_t pos, char ch, bool shift = false);
    void crt_write(uint8_t pos, const char *str, bool shift = false);
    void crt_enable();

protected:
    USB_Device *_device;
    uint8_t _crt_control;
};

#endif // _USB492_HPP_
